# ipe::PanTool Class Reference
Ipe canvas

A tool for panning the canvas. More...

`#include <ipetool.h>`

Inherits ipe::Tool.

List of all members.

## Public Member Functions

- PanTool (CanvasBase *canvas, const Page *page, int view)
- virtual void draw (Painter &painter) const
- virtual void mouseButton (int button, bool press)
- virtual void mouseMove ()

## Detailed Description

A tool for panning the canvas.

## Constructor & Destructor Documentation

PanTool::PanTool | ( | CanvasBase * | canvas,
|  | const Page * | page,
|  | int | view
| ) |  |

## Member Function Documentation

void PanTool::draw | ( | Painter & | painter | ) | const`[virtual]`

Implements ipe::Tool.

void PanTool::mouseButton | ( | int | button,
|  | bool | press
| ) |  | `[virtual]`

Called when a mouse button is pressed or released on the canvas.

button is 1, 2, or 3, with Shift/Ctrl/Alt/Meta modifiers added in (as defined in CanvasBase::TModifiers. press is true for button-down, and false for button-up.

Reimplemented from ipe::Tool.

void PanTool::mouseMove | ( |  | ) | `[virtual]`

Called when the mouse is moved on the canvas.

Reimplemented from ipe::Tool.

The documentation for this class was generated from the following files:

- ipetool.h
- ipetool.cpp